tigase.cluster.repo

## Class ClConConfigRepository

- java.lang.Object
- - tigase.db.comp.ConfigRepository<ClusterRepoItem>
  - - tigase.cluster.repo.ClConConfigRepository

- All Implemented Interfaces:
    Iterable<ClusterRepoItem>, ComponentRepository<ClusterRepoItem>
  Direct Known Subclasses:
    ClConDirRepository, ClConSQLRepository

      public class ClConConfigRepository
      extends ConfigRepository<ClusterRepoItem>

  Class description
  Version:
    5.2.0, 13/03/09
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTORELOAD_INTERVAL_PROP_KEY` Field description
    `static long` | `AUTORELOAD_INTERVAL_PROP_VAL` Field description

    - ### Fields inherited from class tigase.db.comp.ConfigRepository

      `items`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClConConfigRepository()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigKey()` Method description
    `String[]` | `getDefaultPropetyItems()` Method description
    `void` | `getDefaults(Map<String,Object> defs, Map<String,Object> params)` Method description
    `ClusterRepoItem` | `getItemInstance()` Method description
    `String` | `getPropertyKey()` Method description
    `boolean` | `itemChanged(ClusterRepoItem oldItem, ClusterRepoItem newItem)` Method description
    `void` | `itemLoaded(ClusterRepoItem item)` Method description
    `void` | `reload()` Method description
    `void` | `setProperties(Map<String,Object> props)` Method description
    `void` | `storeItem(ClusterRepoItem item)` Method description

    - ### Methods inherited from class tigase.db.comp.ConfigRepository

      `addItem, addRepoChangeListener, allItems, contains, getItem, iterator, removeItem, removeRepoChangeListener, setAutoloadTimer, size, store, toString, validateItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AUTORELOAD_INTERVAL_PROP_KEY

          public static final String AUTORELOAD_INTERVAL_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### AUTORELOAD_INTERVAL_PROP_VAL

          public static final long AUTORELOAD_INTERVAL_PROP_VAL

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClConConfigRepository

          public ClConConfigRepository()

  - ### Method Detail

    - #### getDefaultPropetyItems

          public String[] getDefaultPropetyItems()

      Method description
      Specified by:
        `getDefaultPropetyItems` in class `ConfigRepository<ClusterRepoItem>`

    - #### getPropertyKey

          public String getPropertyKey()

      Method description
      Specified by:
        `getPropertyKey` in class `ConfigRepository<ClusterRepoItem>`

    - #### getConfigKey

          public String getConfigKey()

      Method description
      Specified by:
        `getConfigKey` in class `ConfigRepository<ClusterRepoItem>`

    - #### getItemInstance

          public ClusterRepoItem getItemInstance()

      Method description
      Returns:
        a new, uninitialized instance of the repository Item.

    - #### reload

          public void reload()

      Method description
      Specified by:
        `reload` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `reload` in class `ConfigRepository<ClusterRepoItem>`

    - #### itemLoaded

          public void itemLoaded(ClusterRepoItem item)

      Method description
      Parameters:
        `item` -

    - #### itemChanged

          public boolean itemChanged(ClusterRepoItem oldItem,
                            ClusterRepoItem newItem)

      Method description
      Overrides:
        `itemChanged` in class `ConfigRepository<ClusterRepoItem>`
      Parameters:
        `oldItem` -
        `newItem` -

    - #### getDefaults

          public void getDefaults(Map<String,Object> defs,
                         Map<String,Object> params)

      Method description
      Specified by:
        `getDefaults` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `getDefaults` in class `ConfigRepository<ClusterRepoItem>`
      Parameters:
        `defs` -
        `params` -

    - #### setProperties

          public void setProperties(Map<String,Object> props)

      Method description
      Specified by:
        `setProperties` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `setProperties` in class `ConfigRepository<ClusterRepoItem>`
      Parameters:
        `props` -

    - #### storeItem

          public void storeItem(ClusterRepoItem item)

      Method description
      Parameters:
        `item` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.